Get comprehensive topic information
curl --request GET \
--url https://api.streamkap.com/topics/{topic_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/topics/{topic_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/topics/{topic_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"entity": {
"entity_id": "<string>",
"name": "<string>",
"topic_ids": [
"<string>"
],
"topic_db_ids": [
"<string>"
],
"display_name": "<string>",
"filtered_snapshot_language": "<string>"
},
"kafka": {
"partitions": {
"count": 123,
"replication_factor": 123,
"under_replicated_count": 123,
"offline_count": 123,
"details": [
{
"partition_id": 123,
"replicas": [
123
],
"in_sync_replicas": [
123
],
"is_under_replicated": true,
"is_offline": true
}
]
},
"configs": {
"retention_ms": "<string>",
"retention_bytes": "<string>",
"cleanup_policy": "<string>",
"delete_retention_ms": "<string>",
"max_message_bytes": "<string>",
"compression_type": "<string>",
"min_insync_replicas": "<string>",
"segment_ms": "<string>",
"segment_bytes": "<string>",
"unclean_leader_election": "<string>",
"message_timestamp_type": "<string>"
},
"health": {
"is_healthy": true,
"under_replicated_partitions": 123,
"offline_partitions": 123,
"total_replicas": 123,
"in_sync_replicas": 123
},
"serialization": {
"key_format": "unknown",
"value_format": "unknown",
"key_converter": "<string>",
"value_converter": "<string>",
"schema_registry_enabled": false
}
},
"prefix": "<string>",
"serialization": {
"key_format": "unknown",
"value_format": "unknown",
"key_converter": "<string>",
"value_converter": "<string>",
"schema_registry_enabled": false
},
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Topics
Get comprehensive topic information
GET
/
topics
/
{topic_id}
Get comprehensive topic information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
Successful Response
- TopicDetailsWithKafka
- Response Gettopic
Topic details with live Kafka information.
Show child attributes
Show child attributes
Live Kafka metadata for a topic.
Show child attributes
Show child attributes
Serialization format information for this topic (inherited from producer)
Show child attributes
Show child attributes
List of tag IDs assigned to this topic
Was this page helpful?
⌘I